# statsname

Assigns a dedicated statistics counter origin name for this omhttp action.

This parameter applies to omhttp: HTTP Output Module.

Name:

  statsname

Scope:

  input

Type:

  word

Default:

  input=none

Required?:

  no

Introduced:

  Not specified

## Description

The name assigned to statistics specific to this action instance. The supported set of statistics tracked for this action instance are submitted, acked, failures. See the Statistic Counter section of omhttp: HTTP Output Module for more details.

## Input usage

    module(load="omhttp")

    action(
        type="omhttp"
        statsName="omhttp_api"
    )

## See also

See also omhttp: HTTP Output Module.

Support: rsyslog Assistant | GitHub Discussions | GitHub Issues: rsyslog source project

Contributing: Source & docs: rsyslog source project

© 2008–2025 Rainer Gerhards and others. Licensed under the Apache License 2.0.